Package org.gradle.api.plugins

## Class TestReportAggregationPlugin

- java.lang.Object
- - org.gradle.api.plugins.TestReportAggregationPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      @Incubating
      public abstract class TestReportAggregationPlugin
      extends java.lang.Object
      implements Plugin<Project>

  Adds configurations to for resolving variants containing test execution results, which may span multiple subprojects. Reacts to the presence of the jvm-test-suite plugin and creates tasks to collect test results for each named test-suite.
  Since:
    7.4
  See Also:
    Test Report Aggregation Plugin reference

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `TEST_REPORT_AGGREGATION_CONFIGURATION_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestReportAggregationPlugin()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.
    `protected abstract org.gradle.api.plugins.jvm.internal.JvmEcosystemUtilities` | `getEcosystemUtilities()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEST_REPORT_AGGREGATION_CONFIGURATION_NAME

          public static final java.lang.String TEST_REPORT_AGGREGATION_CONFIGURATION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TestReportAggregationPlugin

          public TestReportAggregationPlugin()

  - ### Method Detail

    - #### getEcosystemUtilities

          @Inject
          protected abstract org.gradle.api.plugins.jvm.internal.JvmEcosystemUtilities getEcosystemUtilities()

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object